class GamesController < ApplicationController
  
  hobo_model_controller
  
  auto_actions :all, :except => [:index, :new, :create]
  
  auto_actions_for :championship, [:new, :create]
  
  autocomplete :new_member_name do
    game = find_instance
    hobo_completions :name, User.without_joined_game(game).with_joined_championship(game.championship)
  end
  
#  def show
#    @game = find_instance
#    @memberships = @game.memberships.apply_scopes(:order_by  => parse_sort_param(:team, :score))
#  end
  
  web_method :randomize_teams do
    game = find_instance
    game.randomize_teams
    hobo_ajax_response game.memberships
  end
  
end
